import { createRouter, createWebHistory } from "vue-router";
import Home from "../views/Home.vue";
import ProfilUser from "../views/ProfilUser.vue";
import ProfilAdmin from "../views/ProfilAdmin.vue";
import ChangePass from "../views/ChangePass.vue";
import Login from "../views/Login.vue";
import UserIndex from "../views/UserIndex.vue";
import AdminIndex from "../views/AdminIndex.vue";
import KaryawanInsert from "../views/KaryawanInsert.vue";
import DepartemenIndex from "../views/DepartemenIndex.vue";
import KaryawanEdit from "../views/KaryawanEdit.vue";
import AdminInsert from "../views/AdminInsert.vue";
import AdminEdit from "../views/AdminEdit.vue";
import KpiIndex from "../views/KpiIndex.vue";
import KpiCreate from "../views/KpiCreate.vue";
import KpiManagerDetail from "../views/KpiManagerDetail.vue";
import Test from "../views/Test.vue";
import ManagerKpiIndex from "../views/ManagerKpiIndex.vue";
import ManagerKaryawanIndex from "../views/ManagerKaryawanIndex.vue";
import ManagerKaryawanDetail from "../views/ManagerKaryawanDetail.vue";
import ResponseIndex from "../views/ResponseIndex.vue";
import ResponseDetail from "../views/ResponseDetail.vue";

const routes = [
  {
    path: "/",
    name: "Home",
    component: Login,
  },
  {
    path: "/login",
    name: "Login",
    component: Login,
  },
  {
    path: "/profil-user/:user_id",
    name: "profil-user",
    component: ProfilUser,
  },
  {
    path: "/profil-admin/:id",
    name: "profil-admin",
    component: ProfilAdmin,
  },
  {
    path: "/change-pass",
    name: "change-pass",
    component: ChangePass,
  },
  {
    path: "/user",
    name: "User",
    component: UserIndex,
  },
  {
    path: "/admin",
    name: "Admin",
    component: AdminIndex,
  },
  {
    path: "/user/insert",
    name: "KaryawanInsert",
    component: KaryawanInsert,
  },
  {
    path: "/departemen",
    name: "Departemen",
    component: DepartemenIndex,
  },
  {
    path: "/user/edit/:id",
    name: "KaryawanEdit",
    component: KaryawanEdit,
  },
  {
    path: "/admin/insert",
    name: "AdminInsert",
    component: AdminInsert,
  },
  {
    path: "/admin/edit/:id",
    name: "AdminEdit",
    component: AdminEdit,
  },
  {
    path: "/kpi",
    name: "kpiIndex",
    component: KpiIndex,
  },
  {
    path: "/manager/kpi/create",
    name: "KpiCreate",
    component: KpiCreate,
  },
  {
    path: "/manager/kpi/:id",
    name: "KpiManagerDetail",
    component: KpiManagerDetail,
  },
  {
    path: "/manager/kpi",
    name: "ManagerkpiIndex",
    component: ManagerKpiIndex,
  },
  {
    path: "/manager/employees",
    name: "ManagerkaryawanIndex",
    component: ManagerKaryawanIndex,
  },
  {
    path: "/manager/employees/:id",
    name: "ManagerKaryawanDetail",
    component: ManagerKaryawanDetail,
  },
  {
    path: "/manager/kpi/:kpiId/employees/:empId/responses",
    name: "ResponseIndex",
    component: ResponseIndex
  },
  {
    path: "/manager/kpi/:kpiId/employees/:empId/responses/:responseId",
    name: "ResponseDetail",
    component: ResponseDetail
  },
  {
    path: "/test",
    name: "test",
    component: Test,
  },
];

const router = createRouter({
  history: createWebHistory(process.env.BASE_URL),
  routes,
});

export default router;
